com.corticon.rulesemf.canonicaltestmodel.testsheet.util

## Class TestsheetSwitch

- java.lang.Object
- - com.corticon.rulesemf.canonicaltestmodel.testsheet.util.TestsheetSwitch

-     public class TestsheetSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `TestsheetPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected static TestsheetPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestsheetSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseDataDocument(DataDocument object)` Returns the result of interpreting the object as an instance of 'Data Document'
    `java.lang.Object` | `caseInput(Input object)` Returns the result of interpreting the object as an instance of 'Input'
    `java.lang.Object` | `caseOutput(Output object)` Returns the result of interpreting the object as an instance of 'Output'
    `java.lang.Object` | `casePostedMessage(PostedMessage object)` Returns the result of interpreting the object as an instance of 'Posted Message'
    `java.lang.Object` | `caseTestsheet(Testsheet object)` Returns the result of interpreting the object as an instance of 'Testsheet'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### modelPackage

          protected static TestsheetPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### TestsheetSwitch

          public TestsheetSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseTestsheet

          public java.lang.Object caseTestsheet(Testsheet object)

      Returns the result of interpreting the object as an instance of 'Testsheet'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Testsheet'.
      See Also:
        `doSwitch(EObject)`

    - #### caseInput

          public java.lang.Object caseInput(Input object)

      Returns the result of interpreting the object as an instance of 'Input'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Input'.
      See Also:
        `doSwitch(EObject)`

    - #### caseOutput

          public java.lang.Object caseOutput(Output object)

      Returns the result of interpreting the object as an instance of 'Output'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Output'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDataDocument

          public java.lang.Object caseDataDocument(DataDocument object)

      Returns the result of interpreting the object as an instance of 'Data Document'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Data Document'.
      See Also:
        `doSwitch(EObject)`

    - #### casePostedMessage

          public java.lang.Object casePostedMessage(PostedMessage object)

      Returns the result of interpreting the object as an instance of 'Posted Message'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Posted Message'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.